#!/bin/sh
# ----------------------------------------------------------------------
# (C) COPYRIGHT International Business Machines Corp. 2000-2003
# All Rights Reserve
#
# US Government Users Restricted Rights - Use, duplication o
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#
# NAME: dsysetid.sh
#
# FUNCTION: Sets the DB2 Everyplace Mobile Devices instance ID
# ----------------------------------------------------------------------
DSYBUILDDATE=20040827a

rm -f "$DSYINSTDIR/Server/logs/dsysetid.log"

"$DB2PATH/bin/db2" -ovt "connect to DSYCTLDB"

"$DB2PATH/bin/db2" -ovt "insert into dsy.properties (type, name, value, description) values ('DSYIdflt', 'INSTALL.DSYINSTANCEID','$1', 'Server Group ID')"
"$DB2PATH/bin/db2" -ovt "insert into dsy.properties (type, name, value, description) values ('DSYIdflt', 'DSYBuildDate','$DSYBUILDDATE', 'DB2e Build Date')"
"$DB2PATH/bin/db2" -ovt "update dsy.properties set value='$DSYBUILDDATE', type='DSYIdflt', description='DB2e Build Date' where NAME='DSYBuildDate'"

# :endscript
"$DB2PATH/bin/db2" -ovt "terminate"
